rb_stat.d(1m)

NAME
rb_stat.d - Ruby operation stats using DTrace.

SYNOPSIS
rb_stat.d [interval [count]]

DESCRIPTION
This traces activity from all Ruby programs on the system that are running with Ruby provider support. The numbers are counts for the interval specified. The default interval is 1 second. If you see a count in "EXECS" but not in the other columns, then your Ruby software is probably not running with the DTrace Ruby provider. See Ruby/Readme. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_stat.d

FIELDS

EXEC/s
    Ruby programs executed per second, including those without Ruby provider support

METHOD/s
    Methods called, per second

OBJNEW/s
    Objects created, per second

OBJFRE/s
    Objects freed, per second

RAIS/s
    Raises, per second

RESC/s
    Rescues, per second

GC/s
    Garbage collects, per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_stat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)